Subject: bug#27442: Un-obsolete x-clipboard-yank, or provide analogous functional

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Jul 2021 18:45:15 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 06 Jul 2021 16:18:18 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Hm...  I don't really see any with our current low-level
> >> functions.  I think x-get-selection-internal could have returned more
> >> metadata -- the timestamp, for instance, which would have allowed us to
> >> see whether we ourselves really pushed the data to the clipboard.
> >
> > Where would that time stamp come from?
> 
> Selections have time stamps

In the clipboard? supported by all the systems and all the clipboard
varieties out there?

> so we could compare the time stamp from
> when we pushed the data onto the clipboard with what we have.  I think?

Is it reasonable to assume that close enough time stamps necessarily
mean we are the owner?

> > I admit I don't really understand what the patch does and how.  can
> > you elaborate on that?
> 
> It just makes `M-x clipboard-yank' defeat the "check for duplicates"
> logic and always return the contents of the clipboard.

But that would mean we throw away the baby together with the
bathwater, no?  Why would we want to do that?